Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xri3.impl.parser
Class Parser

    java.lang.Object
      org.openxri.xri3.impl.parser.Parser

    public class Parser

extends java.lang.Object

Nested Class Summary
`static class` | `Parser.ALPHA`
`static class` | `Parser.BIT`
`static class` | `Parser.CHAR`
`static class` | `Parser.CR`
`static class` | `Parser.CRLF`
`static class` | `Parser.CTL`
`static class` | `Parser.dec_octet`
`static class` | `Parser.DIGIT`
`static class` | `Parser.DQUOTE`
`static class` | `Parser.gcs_char`
`static class` | `Parser.gen_delims`
`static class` | `Parser.global_subseg`
`static class` | `Parser.h16`
`static class` | `Parser.HEXDIG`
`static class` | `Parser.HTAB`
`static class` | `Parser.iauthority`
`static class` | `Parser.ifragment`
`static class` | `Parser.ihier_part`
`static class` | `Parser.ihost`
`static class` | `Parser.IP_literal`
`static class` | `Parser.ipath_abempty`
`static class` | `Parser.ipath_abs`
`static class` | `Parser.ipath_empty`
`static class` | `Parser.ipath_rootless`
`static class` | `Parser.ipchar`
`static class` | `Parser.iprivate`
`static class` | `Parser.IPv4address`
`static class` | `Parser.IPv6address`
`static class` | `Parser.IPvFuture`
`static class` | `Parser.iquery`
`static class` | `Parser.ireg_name`
`static class` | `Parser.IRI`
`static class` | `Parser.isegment`
`static class` | `Parser.isegment_nz`
`static class` | `Parser.iunreserved`
`static class` | `Parser.iuserinfo`
`static class` | `Parser.lcs_char`
`static class` | `Parser.LF`
`static class` | `Parser.literal`
`static class` | `Parser.literal_nc`
`static class` | `Parser.local_subseg`
`static class` | `Parser.ls32`
`static class` | `Parser.LWSP`
`class` | `Parser.NumericValue`
`static class` | `Parser.OCTET`
`static class` | `Parser.pct_encoded`
`static class` | `Parser.port`
`static class` | `Parser.relative_xri_part`
`static class` | `Parser.relative_xri_ref`
`static class` | `Parser.reserved`
`static class` | `Parser.scheme`
`static class` | `Parser.SP`
`class` | `Parser.StringValue`
`static class` | `Parser.sub_delims`
`static class` | `Parser.subseg`
`static class` | `Parser.ucschar`
`static class` | `Parser.unreserved`
`static class` | `Parser.VCHAR`
`static class` | `Parser.WSP`
`static class` | `Parser.xref`
`static class` | `Parser.xref_empty`
`static class` | `Parser.xref_IRI`
`static class` | `Parser.xref_xri_reference`
`static class` | `Parser.xri`
`static class` | `Parser.xri_authority`
`static class` | `Parser.xri_gen_delims`
`static class` | `Parser.xri_hier_part`
`static class` | `Parser.xri_path`
`static class` | `Parser.xri_path_abempty`
`static class` | `Parser.xri_path_abs`
`static class` | `Parser.xri_path_noscheme`
`static class` | `Parser.xri_pchar`
`static class` | `Parser.xri_pchar_nc`
`static class` | `Parser.xri_reference`
`static class` | `Parser.xri_reserved`
`static class` | `Parser.xri_segment`
`static class` | `Parser.xri_segment_nc`
`static class` | `Parser.xri_segment_nz`
`static class` | `Parser.xri_sub_delims`

Constructor Summary
`Parser()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`Rule` | `parse(java.lang.String rulename, java.io.File file)`
`Rule` | `parse(java.lang.String rulename, java.io.InputStream in)`
`Rule` | `parse(java.lang.String rulename, java.lang.String string)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parser

    public Parser()

Method Detail

### main

    public static void main(java.lang.String[] args)

### parse

    public Rule parse(java.lang.String rulename,
                      java.lang.String string)
               throws java.lang.IllegalArgumentException,
                      ParserException

  Throws:
    `java.lang.IllegalArgumentException`
    `ParserException`

### parse

    public Rule parse(java.lang.String rulename,
                      java.io.InputStream in)
               throws java.lang.IllegalArgumentException,
                      java.io.IOException,
                      ParserException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.io.IOException`
    `ParserException`

### parse

    public Rule parse(java.lang.String rulename,
                      java.io.File file)
               throws java.lang.IllegalArgumentException,
                      java.io.IOException,
                      ParserException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.io.IOException`
    `ParserException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.